Bug 4519 - Sound comes with a clacking after wakeup sound system.
: Sound comes with a clacking after wakeup sound system.
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2014 Fresh R4
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-13 20:04 MSD by Yaroslav
Modified: 2014-10-28 19:30 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yaroslav 2014-10-13 20:04:52 MSD
http://forum.rosalab.ru/viewtopic.php?f=53&t=4512

If a long time there was no sound (any: system, service or user), before playing is fairly loud-clicking.

Solution from keleg
echo 0 > /sys/module/snd_hda_intel/parameters/power_save
Comment 1 FirstLevel 2014-10-14 08:46:15 MSD
I have installed RPSA 2014.1 64bit with "60" in /sys/module/snd_hda_intel/parameters/power_save 
and I have no this problem.
Maybe it is hardware specific?
Comment 2 Eugene Shatokhin 2014-10-14 14:25:13 MSD
(In reply to comment #0)
> If a long time there was no sound (any: system, service or user), before
> playing is fairly loud-clicking.

Seems like a known issue the upstream is not going to fix. 

From https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/Documentation/sound/alsa/powersave.txt:

"Note that you might hear click noise/pop when changing the power
state.  Also, it often takes certain time to wake up from the
power-down to the active state."

I can make powersave disabled for snd_hda_intel by default in the kernel. The users who want it, however, will need to turn it on manually (by writing to /sys/module/snd_hda_intel/parameters/power_save or setting parameters of snd_hda_intel module). 

What do you think?
Comment 3 Vladimir Potapov 2014-10-14 14:35:27 MSD
Ok, disable it!
Comment 4 Eugene Shatokhin 2014-10-28 19:30:26 MSK
(In reply to comment #3)
> Ok, disable it!

Fixed in the kernel 3.14.22. Closing.